Skip to main content
DELETE
/
api
/
v2
/
workspace-members
/
{id}
{
  "id": "019e3bd1-8e27-71ff-99ca-f9f521600421",
  "email": "user@example.com",
  "user_id": "019e3bd1-8e27-71ff-99ca-f9f6cda4a5f0",
  "role": "editor",
  "timestamp_created": "2026-05-18T16:00:49.703Z",
  "workspace_id": "019e3bd1-8e27-71ff-99ca-f9f75a5b95b7",
  "accepted": false,
  "user_email": "user@example.com",
  "name": {
    "first": "John",
    "last": "Smith"
  },
  "issuer_id": "019e3bd1-8e27-71ff-99ca-f9f83faf9966",
  "permissions": []
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the item to delete

Example:

"019e3bd1-b6b1-71d1-a783-9e093d6a9f73"

Body

application/json

The body is of type null.

Example:

null

Response

The deleted Workspace Member

A member of a workspace with associated user details

id
string<uuid>
required
read-only

Unique identifier for the workspace member

Example:

"019e3bd1-8e27-71ff-99ca-f9f521600421"

email
string<email>
required

Email address of the workspace member

Example:

"user@example.com"

user_id
string<uuid>
required
read-only

User ID of the workspace member

Example:

"019e3bd1-8e27-71ff-99ca-f9f6cda4a5f0"

role
enum<string>
required

THe role of the workspace member defining their access level. While the "owner" role is listed in the enum, it cannot be created via the API, and is only assigned to the user who creates the workspace.

Available options:
owner,
admin,
editor,
view,
client
Example:

"editor"

timestamp_created
string<date-time>
required
read-only

Timestamp when the workspace member was created

Example:

"2026-05-18T16:00:49.703Z"

workspace_id
string<uuid>
required
read-only

ID of the workspace this member belongs to

Example:

"019e3bd1-8e27-71ff-99ca-f9f75a5b95b7"

accepted
boolean
required
read-only

Whether the member has accepted the workspace invitation

Example:

false

user_email
null | string<email>

Email address of the user

Example:

"user@example.com"

name
object
read-only
issuer_id
null | string<uuid>
read-only

ID of the user who added this member to the workspace

Example:

"019e3bd1-8e27-71ff-99ca-f9f83faf9966"

permissions
null | enum<string>[]

The permissions for this workspace member. Used in the app to restrict access to certain sections

Available options:
dashboard.view,
campaigns.view,
campaigns.create,
campaigns.edit,
campaigns.delete,
organization.manage,
organization.integrations,
organization.billing,
organization.users.manage,
leadFinder.view,
customLeadLabels.create,
customLeadLabels.edit,
customLeadLabels.delete,
unibox.all,
analytics.view,
agency.manage,
accounts.view,
accounts.manage,
leadManagement.view,
leads.move,
crm.view,
websiteVisitors.view,
blocklist.manage,
preferences.manage,
inboxPlacement.view,
aiAgents.manage,
workspaceGroupMembers.invite,
workspaceGroupMembers.remove,
workspaceGroupMembers.leave